Subject: bug#63666: sporadic “guix substitute: error: connect*: Connection timed out”

From: Simon Tournier <[email-masked]>
Date: Tue, 23 May 2023 17:14:50 +0200

Hi,

On different machines (laptop, desktop, workstation) using different
networks, running different revisions of Guix, I often see this sort of
message (here bash-static and aspell-dict-fr are examples, I see that
for various others):

--8<---------------cut here---------------start------------->8---
 bash-static-5.1.16  701KiB                                                409KiB/s 00:00 ▕█▋                ▏   9.1%guix substitute: warning: while fetching https://ci.guix.gnu.org/nar/lzip/s3lfskbxkq65f4zf0iair8yz3s7nskml-aspell-dict-fr-0.50-3: server is somewhat slow
guix substitute: warning: try `--no-substitutes' if the problem persists
guix substitute: error: connect*: Connection timed out
--8<---------------cut here---------------end--------------->8---

And I have not noticed if it’s always about the same compression (lzip).

The most recent failure uses 3f59fd6 (pulled on May 23) with:

        $ /root/.config/guix/current/bin/guix-daemon --version
        guix-daemon (GNU Guix) 1.3.0-31.3170843

Well, if that’s because guix-daemon is too old, maybe we could provide a
more meaningful message.

Sometimes, I even get:

--8<---------------cut here---------------start------------->8---
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%guix substitute: warning: ci.guix.gnu.org: connection failed: Connection timed out
--8<---------------cut here---------------end--------------->8---

Cheers,
simon